public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sergey Torokhov" <torokhov-s-a@yandex.ru>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/proj/guru:dev commit in: dev-util/fortls/
Date: Thu,  1 Dec 2022 18:31:35 +0000 (UTC)	[thread overview]
Message-ID: <1669919453.6a90f068429b9eb509feb7f7150f4d9a792c5b8b.SergeyTorokhov@gentoo> (raw)

commit:     6a90f068429b9eb509feb7f7150f4d9a792c5b8b
Author:     Sergey Torokhov <torokhov-s-a <AT> yandex <DOT> ru>
AuthorDate: Thu Dec  1 18:30:53 2022 +0000
Commit:     Sergey Torokhov <torokhov-s-a <AT> yandex <DOT> ru>
CommitDate: Thu Dec  1 18:30:53 2022 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=6a90f068

dev-util/fortls: Fix and enable tests

Signed-off-by: Sergey Torokhov <torokhov-s-a <AT> yandex.ru>

 dev-util/fortls/fortls-2.13.0.ebuild | 20 ++++++++++++++++----
 1 file changed, 16 insertions(+), 4 deletions(-)

diff --git a/dev-util/fortls/fortls-2.13.0.ebuild b/dev-util/fortls/fortls-2.13.0.ebuild
index 434a2400c..648fdff35 100644
--- a/dev-util/fortls/fortls-2.13.0.ebuild
+++ b/dev-util/fortls/fortls-2.13.0.ebuild
@@ -8,7 +8,7 @@ PYTHON_COMPAT=( python3_{8..11} )
 
 inherit distutils-r1
 
-DESCRIPTION="fortls - Fortran Language Server"
+DESCRIPTION="Fortran Language Server (fortls)"
 HOMEPAGE="https://fortls.fortran-lang.org"
 SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
 
@@ -16,9 +16,21 @@ LICENSE="MIT"
 SLOT="0"
 KEYWORDS="~amd64"
 
-# Need to explore the list of test dependencies
-RESTRICT="test"
-
 RDEPEND="
 	dev-python/json5[${PYTHON_USEDEP}]
 "
+
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+	test/test_interface.py::test_version_update_pypi
+)
+
+src_prepare() {
+	# Drop some additional coverage tests
+	sed -i -e 's/ --cov=fortls --cov-report=html --cov-report=xml --cov-context=test//' pyproject.toml || die
+	# Disable autoupdate check during tests run
+	sed -i -e 's/"--incremental_sync",/"--incremental_sync", "--disable_autoupdate",/' test/setup_tests.py || die
+
+	distutils-r1_src_prepare
+}


             reply	other threads:[~2022-12-01 18:31 UTC|newest]

Thread overview: 16+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-12-01 18:31 Sergey Torokhov [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-03-21 17:23 [gentoo-commits] repo/proj/guru:dev commit in: dev-util/fortls/ Sergey Torokhov
2024-06-21 22:55 Sergey Torokhov
2024-06-15 15:18 Sergey Torokhov
2024-05-12  5:22 Sergey Torokhov
2024-05-12  5:22 Sergey Torokhov
2024-05-10 12:23 Sergey Torokhov
2024-05-06 20:13 Sergey Torokhov
2024-05-05 12:35 Sergey Torokhov
2024-03-24 14:30 Sergey Torokhov
2024-03-21 20:55 Sergey Torokhov
2024-03-21 20:55 Sergey Torokhov
2023-03-17 13:01 Anna Vyalkova
2023-01-18 23:57 Sergey Torokhov
2022-11-24 14:03 Sergey Torokhov
2022-10-11 23:31 Sergey Torokhov

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1669919453.6a90f068429b9eb509feb7f7150f4d9a792c5b8b.SergeyTorokhov@gentoo \
    --to=torokhov-s-a@yandex.ru \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox